## visad.data.hdfeos
Class HdfeosDomain

    java.lang.Object
      visad.data.hdfeos.HdfeosDomain

Direct Known Subclasses:
  HdfeosDomainMap

class HdfeosDomain
extends Object

Field Summary
`(package private) static int` `FACTORED`
`(package private) static int` `FACTORED_ARITH`
`(package private) static int` `HYBRID`
`(package private) static int` `INTEGER`
`(package private) static int` `LINEAR`
`(package private) MathType` `mathtype`
`(package private) static int` `SINGLE`
`(package private) static int` `UNFACTORED`

Constructor Summary
`HdfeosDomain(EosStruct struct, DimensionSet dimSet)`
`HdfeosDomain(EosStruct struct, DimensionSet dimSet, CoordinateSystem coord_sys)`
`HdfeosDomain(EosStruct struct, DimensionSet dimSet, CoordinateSystem coord_sys, Unit[] units)`
`HdfeosDomain(EosStruct struct, DimensionSet dimSet, HdfeosDomain gridCoordSys)`
`HdfeosDomain(EosStruct struct, NamedDimension dim)`
`HdfeosDomain(EosStruct struct, NamedDimension[] dims, CoordinateSystem coord_sys, Unit[] units)`
`HdfeosDomain(EosStruct struct, Variable var)`
`HdfeosDomain(EosStruct struct, Variable[] vars, NamedDimension[] dims)`
`HdfeosDomain(EosStruct struct, VariableSet v_set, DimensionSet d_set)`

Method Summary
`Set` `getData()`
`Set` `getData(int[] indexes)`
`DimensionSet` `getDimSet()`
`static GridCoordinateSystem` `getNullGridCoordinateSystem(HdfeosDomain gridCoordSys)`
`EosStruct` `getStruct()`
`MathType` `getType()`
`(package private) MathType` `makeType(CoordinateSystem coord_sys)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### HYBRID

    static final int HYBRID

See Also:
  Constant Field Values

### FACTORED

    static final int FACTORED

See Also:
  Constant Field Values

### FACTORED_ARITH

    static final int FACTORED_ARITH

See Also:
  Constant Field Values

### UNFACTORED

    static final int UNFACTORED

See Also:
  Constant Field Values

### LINEAR

    static final int LINEAR

See Also:
  Constant Field Values

### SINGLE

    static final int SINGLE

See Also:
  Constant Field Values

### mathtype

    MathType mathtype

Constructor Detail

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        DimensionSet dimSet)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        DimensionSet dimSet,
                        CoordinateSystem coord_sys)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        DimensionSet dimSet,
                        CoordinateSystem coord_sys,
                        Unit[] units)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        NamedDimension dim)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        NamedDimension[] dims,
                        CoordinateSystem coord_sys,
                        Unit[] units)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        DimensionSet dimSet,
                        HdfeosDomain gridCoordSys)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        Variable[] vars,
                        NamedDimension[] dims)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        VariableSet v_set,
                        DimensionSet d_set)
                 throws VisADException

### HdfeosDomain

    public HdfeosDomain(EosStruct struct,
                        Variable var)
                 throws VisADException

Method Detail

### getNullGridCoordinateSystem

    public static GridCoordinateSystem getNullGridCoordinateSystem(HdfeosDomain gridCoordSys)
                                                            throws VisADException

  Throws:
    `VisADException`

### getDimSet

    public DimensionSet getDimSet()

### makeType

    MathType makeType(CoordinateSystem coord_sys)
                throws VisADException

  Throws:
    `VisADException`

### getType

    public MathType getType()
                     throws VisADException

  Throws:
    `VisADException`

### getData

    public Set getData()
                throws VisADException

  Throws:
    `VisADException`

### getData

    public Set getData(int[] indexes)
                throws VisADException

  Throws:
    `VisADException`

### getStruct

    public EosStruct getStruct()